A<-c(8.50,8.60,9.48,8.65,8.16,8.83,7.76,8.63)
B<-c(8.27,8.20,8.25,8.14,9.00,8.10,7.20,8.32,7.70)
na<-length(A)
classdataA<-rep(c("A"),na)
dataA<-data.frame(classdataA,A)
colnames(dataA)<-c("Class","time")
nb<-length(B)
classdataB<-rep(c("B"),nb)
dataB<-data.frame(classdataB,B)
colnames(dataB)<-c("Class","time")
mergeAB<-rbind(dataA,dataB)
dataA; dataB
mergeAB
#------------------------------------------------
odata<-order(mergeAB[,2]); odata
oclasslist<-tapply(odata,mergeAB[,1],list); oclasslist
boxplot(oclasslist$A,oclasslist$B,names=c("A", "B"),las=1,horizontal=TRUE,
        main=c("rank distribution"))
tclasslist<-tapply(mergeAB[,2],mergeAB[,1],list); tclasslist
boxplot(tclasslist$A,tclasslist$B,names=c("A", "B"),las=1,horizontal=TRUE,
        main=c("reaction-time distribution"))